Subject: Re: [PATCH 5/9] revert: add --ff option to allow fast forward when cherry-picking

From: Paolo Bonzini <[email-masked]>
Date: Sat, 06 Feb 2010 16:41:43 +0100

On 02/06/2010 04:29 PM, Christian Couder wrote:
> On samedi 06 février 2010, Paolo Bonzini wrote:
>> On 02/06/2010 12:11 AM, Christian Couder wrote:
>>> As "git merge" fast forwards if possible, it seems sensible to
>>> have such a feature for "git cherry-pick" too, especially as it
>>> could be used in git-rebase--interactive.sh.
>>>
>>> Maybe this option could be made the default in the long run, with
>>> another --no-ff option to disable this default behavior, but that
>>> could make some scripts backward incompatible and/or that would
>>> require testing if some GIT_AUTHOR_* environment variables are
>>> set. So we don't do that for now.
>>
>> I would still like to have a no-op --no-ff so that scripts that do rely
>> on that can be future proofed (or also, scripts that do "git cherry-pick
>> $blah -e COMMIT" could use --no-ff to avoid errors in case $blah
>> contains --ff).
>
> Ok, I will add a --no-ff option but I think it should be incompatible
> with --ff rather than overide it.

Whatever it does it should be the same as git merge.

Paolo